/bills

Create a bill payment.
Kindly note that the account you select as debitAccountId should be funded as it would be debited for a successful API call.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Schema:

{
  "status": boolean,
  "message": string,
  "data": {
    "id": string,
    "amount": string,
    "vendor": {
      "id": string,
      "name": string,
    },
    "category": "airtime" | "mobile-data" | "cable-tv" | "electricity",
    "product": {
      "id": string,
      "name": string,
      "vendor": {
        "id": string,
        "name": string,
      },
      "amount": {
        "type": "fixed" | "range",
        "fixed": string | null,
        "minimum": string | null,
        "maximum": string | null,
      },
      "customerIdLabel": string,
      "category": "airtime" | "mobile-data" | "cable-tv" | "electricity",
      "commissionPercentage": string,
    },
    "details": {
      "customerId": string,
      "customerName": string,
    },
    "debitAccountId": string,
    "instructions": string | null,
    "initiatedAt": date-time,
    "status": "pending" | "successful" | "failed",
    "completedAt": date-time | null,
    "failedAt": date-time | null,
    "reasonForFailure": string | null,
    "clientReference": string | null,
    "transactionReference": string,
    "commission": string | null,
  }
}
Body Params
string
required

ID of the product

string
required

This is the customer identifier for the bill payment e.g. for airtime, the identifier would be the customer's mobile number.

string
required

Your 36-character account uuid to transfer from.

string

Required if the product amount type is range

string

Optional. Unique client reference. Only -, ., _ and alphanumeric characters allowed.

Response

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json